corda / net.corda.contracts / CommercialPaperLegacy / State

# State

`data class State : OwnableState, ICommercialPaperState`

### Constructors

<init> | `State(issuance: PartyAndReference, owner: CompositeKey, faceValue: Amount<Issued<Currency>>, maturityDate: Instant)`

### Properties

contract | `val contract: CommercialPaperLegacy` An instance of the contract class that will verify this state.
faceValue | `val faceValue: Amount<Issued<Currency>>`
issuance | `val issuance: PartyAndReference`
maturityDate | `val maturityDate: Instant`
owner | `val owner: CompositeKey` There must be a MoveCommand signed by this key to claim the amount
participants | `val participants: List<CompositeKey>` A participant is any party that is able to consume this state in a valid transaction.

### Functions

toString | `fun toString(): String`
withFaceValue | `fun withFaceValue(newFaceValue: Amount<Issued<Currency>>): ICommercialPaperState`
withIssuance | `fun withIssuance(newIssuance: PartyAndReference): ICommercialPaperState`
withMaturityDate | `fun withMaturityDate(newMaturityDate: Instant): ICommercialPaperState`
withNewOwner | `fun withNewOwner(newOwner: CompositeKey): Pair<Move, State>` Copies the underlying data structure, replacing the owner field with this new value and leaving the rest alone
withOwner | `fun withOwner(newOwner: CompositeKey): ICommercialPaperState`
withoutOwner | `fun withoutOwner(): State`